Subject: Re: [PATCH 00/14] fsck: API improvements

From: Junio C Hamano <[email-masked]>
Date: Wed, 17 Feb 2021 13:02:44 -0800

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> Jonathan Tan pointed out that the fsck error_func doesn't pass you the
> ID of the fsck failure in [1]. This series improves the API so it
> does, and moves the gitmodules_{found,done} variables into the
> fsck_options struct.
>
> The result is that instead of the "print_dangling_gitmodules" member
> in that series we can just implement that with the diff at the end of
> this cover letter (goes on top of a merge of this series & "seen"),
> and without any changes to fsck_finish().
>
> This conflicts with other in-flight fsck changes but the conflict is
> rather trivial. Jeff King has another concurrent series to add a
> couple of new fsck checks, those need to be moved to fsck.h, and
> there's another trivial conflict in 2 hunks due to the
> gitmodules_{found,done} move.
>
> 1. https://lore.kernel.org/git/[email-masked]/

Let's get this reviewed now, but with expectation that it will be
rebased after the dust settles.